package me.km.snuviscript;

import me.hammerle.snuviscript.code.ISnuviScheduler;
import me.hammerle.snuviscript.code.Script;
import me.km.Server;
import me.km.inventory.CustomContainer;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.entity.player.ServerPlayerEntity;
import net.minecraft.inventory.container.ClickType;
import net.minecraft.util.text.ITextComponent;

public class ScriptInventoryHolder extends CustomContainer
{
    private final Script sc;

    public ScriptInventoryHolder(ISnuviScheduler scheduler, SnuviInventory inv, ServerPlayerEntity p, ITextComponent title, Script qd) 
    {
        super(scheduler, inv, p, title);
        this.sc = qd;
    }

    @Override
    public boolean onButtonClick(int slot, int dragType, ClickType click, ServerPlayerEntity p)
    {
        return Server.scriptEvents.onInventoryClick(sc, getTitle(), (SnuviInventory) inv, slot, click, p);
    }

    @Override
    public void onContainerClosed(PlayerEntity p) 
    {
        Server.scriptEvents.onInventoryClose(sc, getTitle(), (SnuviInventory) inv, p);
        super.onContainerClosed(p);
    }
}
