package me.km.snuviscript;

import me.km.inventory.InventoryBase;

public class SnuviInventory extends InventoryBase
{
    private final int id;
    private final String title;
    
    public SnuviInventory(String title, int slotCount, int id) 
    {
        super(slotCount, null);
        this.id = id;
        this.title = title;
    }
    
    public SnuviInventory(String title, String slots, int id) 
    {
        super(slots, null);
        this.id = id;
        this.title = title;
    }
    
    public int getId()
    {
        return id;
    }
    
    public String getTitle()
    {
        return title;
    }
}
