package me.km.blocks;

import java.util.Random;
import javax.annotation.Nullable;
import net.minecraft.block.BlockState;
import net.minecraft.block.trees.Tree;
import net.minecraft.world.gen.feature.AbstractTreeFeature;
import net.minecraft.world.gen.feature.NoFeatureConfig;
import net.minecraft.world.gen.feature.TreeFeature;

public class ModTree extends Tree
{
    private final BlockState wood;
    private final BlockState leaves;
    
    public ModTree(BlockState wood, BlockState leaves)
    {
        this.wood = wood;
        this.leaves = leaves;
    }
    
    @Nullable
    @Override
    protected AbstractTreeFeature<NoFeatureConfig> getTreeFeature(Random random)
    {
        return new TreeFeature(NoFeatureConfig::deserialize, true, 4, wood, leaves, false);
    }
}
