package me.km.events;

import me.km.overrides.ModEntityPlayerMP;

public class PlayerTabListNameEvent
{
    private final ModEntityPlayerMP p;
    private String name;
    
    public PlayerTabListNameEvent(ModEntityPlayerMP p)
    {
        this.p = p;
        this.name = p.getName().getString();
    }

    public ModEntityPlayerMP getPlayer()
    {
        return p;
    }
    
    public String getName()
    {
        return name;
    }
    
    public void setName(String name)
    {
        this.name = name;
    }
}
